Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sim.portrayal
Interface Portrayal2D

All Superinterfaces:
  Portrayal, java.io.Serializable

All Known Implementing Classes:
  AdjustablePortrayal2D, CircledPortrayal2D, ContinuousPortrayal2D, DenseGridPortrayal2D, FacetedPortrayal2D, FastHexaObjectGridPortrayal2D, FastHexaValueGridPortrayal2D, FastObjectGridPortrayal2D, FastValueGridPortrayal2D, FieldPortrayal2D, HexaDenseGridPortrayal2D, HexagonalPortrayal2D, HexaObjectGridPortrayal2D, HexaSparseGridPortrayal2D, HexaValueGridPortrayal2D, ImagePortrayal2D, LabelledPortrayal2D, MovablePortrayal2D, NetworkPortrayal2D, ObjectGridPortrayal2D, OrientedPortrayal2D, OvalPortrayal2D, RectanglePortrayal2D, ShapePortrayal2D, SimpleEdgePortrayal2D, SimplePortrayal2D, SparseGridPortrayal2D, TrailedPortrayal2D, TransformedPortrayal2D, ValueGridPortrayal2D, ValuePortrayal2D

    public interface Portrayal2D

extends Portrayal

The basic 2D portrayal interface. It adds the draw method in the 2D context.

Method Summary
`void` | `draw(java.lang.Object object, java.awt.Graphics2D graphics, DrawInfo2D info)` Draw a the given object with an origin at (info.draw.x, info.draw.y), and with the coordinate system scaled by so that 1 unit is in the x and y directions are equal to info.draw.width and info.draw.height respectively in pixels.

Methods inherited from interface sim.portrayal.Portrayal
`getInspector, getName, getStatus, setSelected`

Method Detail

### draw

    void draw(java.lang.Object object,
              java.awt.Graphics2D graphics,
              DrawInfo2D info)

  Draw a the given object with an origin at (info.draw.x, info.draw.y), and with the coordinate system scaled by so that 1 unit is in the x and y directions are equal to info.draw.width and info.draw.height respectively in pixels. The rectangle given by info.clip specifies the only region in which it is necessary to draw. If info.precise is true, try to draw using real-valued high-resolution drawing rather than faster integer drawing. It is possible that object is null. The location of the object in the field may (and may not) be stored in info.location. The form of that location varies depending on the kind of field used.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD